> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 貸借対照表

<ResponseExample>
  ```json レスポンス (200 OK) theme={null}
  {
    "ok": "true",
    "data": []
  }
  ```

  ```json レスポンス (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "認証トークンが無効であるか、指定されていません"
      }
    ]
  }
  ```

  ```json レスポンス (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "指定されたパラメータに一致するデータは見つかりませんでした"
      }
    ]
  }
  ```

  ```json レスポンス (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "リクエスト処理中に予期しないエラーが発生しました"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ja/openapi/data-api-proxy.spec.yml GET /api/v3/fundamentals/balance-sheet
openapi: 3.0.0
info:
  contact: {}
  description: >-
    توفّر واجهة برمجة التطبيقات REST هذه نقاط نهاية للبحث في الأساسيات المالية
    والحصول على تفاصيلها.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v3/fundamentals/balance-sheet:
    get:
      tags:
        - Fundamentals
      summary: جلب قائمة المركز المالي v3
      description: >-
        استرجع بيانات الميزانية العمومية للرموز المحددة، بما في ذلك بيانات
        الأصول والخصوم وحقوق الملكية.
      operationId: get-balance-sheet-v3
      parameters:
        - description: 'قائمة من رموز تداول الأسهم مفصولة بفواصل (مثل: AAPL, MSFT)'
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            تاريخ البدء للاستعلام بالتنسيق YYYY-MM-DD. التنسيقات المدعومة:
            ‏YYYY-MM-DD، ‏YTD ‏(منذ بداية العام)، ‏1MONTH/1m/1M ‏(منذ شهر واحد)
          in: query
          name: from
          schema:
            type: string
        - description: >-
            تاريخ نهاية الاستعلام بتنسيق YYYY-MM-DD. تُرجع البيانات حتى هذا
            التاريخ مشمولًا.
          in: query
          name: to
          schema:
            type: string
        - description: >-
            عامل تصفية لنوع التقرير. القيم: TTM (آخر اثني عشر شهرًا)، A (كما تم
            الإبلاغ عنه)، R (مُعاد تقديمه/مُعاد تصحيحه)، P (أولي)
          in: query
          name: date
          schema:
            type: string
      responses:
        '200':
          description: بيانات الميزانية العمومية
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
        - unsupported_message_type
        - database_query_error
      type: string
      x-enum-varnames:
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````